package ink.wgink.exceptions.rpc;

import ink.wgink.exceptions.base.SystemException;

/**
 * @ClassName: RemoteRequestException
 * @Description: 远程调用异常
 * @Author: wanggeng
 * @Date: 2021/9/19 9:01 下午
 * @Version: 1.0
 */
public class RemoteRequestException extends SystemException {

    public RemoteRequestException() {
        super();
    }

    public RemoteRequestException(String message) {
        super(message);
    }

    public RemoteRequestException(String message, boolean withMsg) {
        super(message, withMsg);
    }

    public RemoteRequestException(String message, Throwable cause) {
        super(message, cause);
    }

    public RemoteRequestException(Throwable cause) {
        super(cause);
    }
}
